- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks/list#body.request_body)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks/list#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks/list#body.ListNetworksResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks/list#body.aspect)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks/list#try-it)

Retrieves all the networks the current user has access to.

### HTTP request

`GET https://admanager.googleapis.com/v1/networks`

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of `Network`s to return. The service may return fewer than this value. If unspecified, at most 50 `Network`s will be returned. The maximum value is 1000; values greater than 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `networks.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `networks.list` must match the call that provided the page token. |
| `skip` | `integer` Optional. Number of individual resources to skip while paginating. |

### Request body

The request body must be empty.

### Response body

Response object for `networks.list` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "networks": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks#Network`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `networks[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks#Network`)`` The `Network`s a user has access to. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` Total number of `Network`s. `totalSize` won't be calculated in the response unless it has been included in a response field mask. The response field mask can be provided to the method by using the URL parameter `$fields` or `fields`, or by using the HTTP/gRPC header `X-Goog-FieldMask`. For more information, see <https://developers.google.com/ad-manager/api/beta/field-masks> |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admanager`
- `https://www.googleapis.com/auth/admanager.readonly
  `

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).